# Interface methods for submodule: FrequencyBandImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import UnaryFrequencyDomainFilterProxy as _UnaryFrequencyDomainFilterProxy


# Interface methods for class: FrequencyBandImageFilter
class FrequencyBandImageFilterProxy(_UnaryFrequencyDomainFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetLowFrequencyThreshold(self) -> float:
		""""""
		...

	def SetLowFrequencyThreshold(self, _arg: float) -> None:
		""""""
		...

	def SetLowFrequencyThresholdInRadians(self, freqLowInRadians: float) -> None:
		""""""
		...

	def GetHighFrequencyThreshold(self) -> float:
		""""""
		...

	def SetHighFrequencyThreshold(self, _arg: float) -> None:
		""""""
		...

	def SetHighFrequencyThresholdInRadians(self, freqHighInRadians: float) -> None:
		""""""
		...

	def SetFrequencyThresholds(self, freqLow: float, freqHigh: float) -> None:
		""""""
		...

	def SetFrequencyThresholdsInRadians(self, freqLowInRadians: float, freqHighInRadians: float) -> None:
		""""""
		...

	def SetPassLowFrequencyThreshold(self, _arg: bool) -> None:
		""""""
		...

	def GetPassLowFrequencyThreshold(self) -> bool:
		""""""
		...

	def PassLowFrequencyThresholdOn(self) -> None:
		""""""
		...

	def PassLowFrequencyThresholdOff(self) -> None:
		""""""
		...

	def SetPassHighFrequencyThreshold(self, _arg: bool) -> None:
		""""""
		...

	def GetPassHighFrequencyThreshold(self) -> bool:
		""""""
		...

	def PassHighFrequencyThresholdOn(self) -> None:
		""""""
		...

	def PassHighFrequencyThresholdOff(self) -> None:
		""""""
		...

	@overload
	def SetPassBand(self, _arg: bool) -> None:
		""""""
		...

	@overload
	def SetPassBand(self, passLowThreshold: bool, passHighThreshold: bool) -> None:
		""""""
		...

	def GetPassBand(self) -> bool:
		""""""
		...

	def PassBandOn(self) -> None:
		""""""
		...

	def PassBandOff(self) -> None:
		""""""
		...

	def SetStopBand(self, passLowThreshold: bool, passHighThreshold: bool) -> None:
		""""""
		...

	def SetRadialBand(self, _arg: bool) -> None:
		""""""
		...

	def GetRadialBand(self) -> bool:
		""""""
		...

	def RadialBandOn(self) -> None:
		""""""
		...

	def RadialBandOff(self) -> None:
		""""""
		...

	def SetPassNegativeLowFrequencyThreshold(self, _arg: bool) -> None:
		""""""
		...

	def GetPassNegativeLowFrequencyThreshold(self) -> bool:
		""""""
		...

	def PassNegativeLowFrequencyThresholdOn(self) -> None:
		""""""
		...

	def PassNegativeLowFrequencyThresholdOff(self) -> None:
		""""""
		...

	def SetPassNegativeHighFrequencyThreshold(self, _arg: bool) -> None:
		""""""
		...

	def GetPassNegativeHighFrequencyThreshold(self) -> bool:
		""""""
		...

	def PassNegativeHighFrequencyThresholdOn(self) -> None:
		""""""
		...

	def PassNegativeHighFrequencyThresholdOff(self) -> None:
		""""""
		...

